#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"
#include "cydevice_trm.h"

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2u
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2u
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2u
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2u
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2u
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2u
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2u
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2u
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* LCD_sel1 */
#define LCD_sel1__0__MASK 0x02u
#define LCD_sel1__0__PC CYREG_PRT6_PC1
#define LCD_sel1__0__PORT 6u
#define LCD_sel1__0__SHIFT 1
#define LCD_sel1__AG CYREG_PRT6_AG
#define LCD_sel1__AMUX CYREG_PRT6_AMUX
#define LCD_sel1__BIE CYREG_PRT6_BIE
#define LCD_sel1__BIT_MASK CYREG_PRT6_BIT_MASK
#define LCD_sel1__BYP CYREG_PRT6_BYP
#define LCD_sel1__CTL CYREG_PRT6_CTL
#define LCD_sel1__DM0 CYREG_PRT6_DM0
#define LCD_sel1__DM1 CYREG_PRT6_DM1
#define LCD_sel1__DM2 CYREG_PRT6_DM2
#define LCD_sel1__DR CYREG_PRT6_DR
#define LCD_sel1__INP_DIS CYREG_PRT6_INP_DIS
#define LCD_sel1__INTSTAT CYREG_PICU6_INTSTAT
#define LCD_sel1__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define LCD_sel1__LCD_EN CYREG_PRT6_LCD_EN
#define LCD_sel1__MASK 0x02u
#define LCD_sel1__PORT 6u
#define LCD_sel1__PRT CYREG_PRT6_PRT
#define LCD_sel1__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define LCD_sel1__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define LCD_sel1__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define LCD_sel1__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define LCD_sel1__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define LCD_sel1__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define LCD_sel1__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define LCD_sel1__PS CYREG_PRT6_PS
#define LCD_sel1__SHIFT 1
#define LCD_sel1__SLW CYREG_PRT6_SLW
#define LCD_sel1__SNAP CYREG_PICU6_SNAP

/* LCD_sel2 */
#define LCD_sel2__0__MASK 0x20u
#define LCD_sel2__0__PC CYREG_IO_PC_PRT15_PC5
#define LCD_sel2__0__PORT 15u
#define LCD_sel2__0__SHIFT 5
#define LCD_sel2__AG CYREG_PRT15_AG
#define LCD_sel2__AMUX CYREG_PRT15_AMUX
#define LCD_sel2__BIE CYREG_PRT15_BIE
#define LCD_sel2__BIT_MASK CYREG_PRT15_BIT_MASK
#define LCD_sel2__BYP CYREG_PRT15_BYP
#define LCD_sel2__CTL CYREG_PRT15_CTL
#define LCD_sel2__DM0 CYREG_PRT15_DM0
#define LCD_sel2__DM1 CYREG_PRT15_DM1
#define LCD_sel2__DM2 CYREG_PRT15_DM2
#define LCD_sel2__DR CYREG_PRT15_DR
#define LCD_sel2__INP_DIS CYREG_PRT15_INP_DIS
#define LCD_sel2__INTSTAT CYREG_PICU15_INTSTAT
#define LCD_sel2__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define LCD_sel2__LCD_EN CYREG_PRT15_LCD_EN
#define LCD_sel2__MASK 0x20u
#define LCD_sel2__PORT 15u
#define LCD_sel2__PRT CYREG_PRT15_PRT
#define LCD_sel2__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define LCD_sel2__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define LCD_sel2__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define LCD_sel2__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define LCD_sel2__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define LCD_sel2__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define LCD_sel2__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define LCD_sel2__PS CYREG_PRT15_PS
#define LCD_sel2__SHIFT 5
#define LCD_sel2__SLW CYREG_PRT15_SLW
#define LCD_sel2__SNAP CYREG_PICU_15_SNAP_15

/* sel1 */
#define sel1__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define sel1__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define sel1__INTC_MASK 0x400u
#define sel1__INTC_NUMBER 10u
#define sel1__INTC_PRIOR_NUM 7u
#define sel1__INTC_PRIOR_REG CYREG_NVIC_PRI_10
#define sel1__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define sel1__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* sel2 */
#define sel2__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define sel2__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define sel2__INTC_MASK 0x1000u
#define sel2__INTC_NUMBER 12u
#define sel2__INTC_PRIOR_NUM 7u
#define sel2__INTC_PRIOR_REG CYREG_NVIC_PRI_12
#define sel2__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define sel2__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CY_PROJECT_NAME "test"
#define CY_VERSION "PSoC Creator  3.2"
#define CYDEV_CHIP_DIE_GEN4 2u
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 12u
#define CYDEV_CHIP_DIE_PSOC4A 5u
#define CYDEV_CHIP_DIE_PSOC5LP 11u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x2E123069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 5u
#define CYDEV_CHIP_MEMBER_4C 9u
#define CYDEV_CHIP_MEMBER_4D 3u
#define CYDEV_CHIP_MEMBER_4E 4u
#define CYDEV_CHIP_MEMBER_4F 6u
#define CYDEV_CHIP_MEMBER_4G 2u
#define CYDEV_CHIP_MEMBER_4L 8u
#define CYDEV_CHIP_MEMBER_4M 7u
#define CYDEV_CHIP_MEMBER_5A 11u
#define CYDEV_CHIP_MEMBER_5B 10u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5B
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_GEN4_ES 17u
#define CYDEV_CHIP_REV_GEN4_ES2 33u
#define CYDEV_CHIP_REV_GEN4_PRODUCTION 17u
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4C_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5B_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x20u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x80
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000000u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x0800
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5.0
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5.0
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5.0
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5.0
#define CYDEV_VIO3_MV 5000
#define CYIPBLOCK_ARM_CM3_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAN_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SAR_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
