/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <project.h>

int printSel1=0, printSel2=0, go=0;

CY_ISR(mainSel){
    if(printSel1==17){ printSel1=0; }
    else{ printSel1=printSel1+1; }
    LCD_sel1_ClearInterrupt();
}
CY_ISR(subSel){
    if(printSel1==0){
        if(printSel2==2){ printSel2=0; }
        else{ printSel2=printSel2+1; }
    }
    else if(printSel1==17){ printSel2=0; }
    else{
        if(printSel2==7){ printSel2=0; }
        else{ printSel2=printSel2+1; }
    }
    LCD_sel2_ClearInterrupt();
}

int main()
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    char tmp1[16], tmp2[16];
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    LCD_Start();
    sel1_StartEx(mainSel);
    sel2_StartEx(subSel);
    
    for(;;)
    {
        LCD_Position(0,0);
        sprintf(tmp1,"%d%d %d%d",printSel1/10,printSel1%10,printSel2/10,printSel2%10);
        LCD_PrintString(tmp1);
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
