/*******************************************************************************
* File Name: sel_High.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CONTROL_REG_sel_High_H) /* CY_CONTROL_REG_sel_High_H */
#define CY_CONTROL_REG_sel_High_H

#include "cytypes.h"

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 controlState;

} sel_High_BACKUP_STRUCT;


/***************************************
*         Function Prototypes 
***************************************/

void    sel_High_Write(uint8 control) ;
uint8   sel_High_Read(void) ;

void sel_High_SaveConfig(void) ;
void sel_High_RestoreConfig(void) ;
void sel_High_Sleep(void) ; 
void sel_High_Wakeup(void) ;


/***************************************
*            Registers        
***************************************/

/* Control Register */
#define sel_High_Control        (* (reg8 *) sel_High_Sync_ctrl_reg__CONTROL_REG )
#define sel_High_Control_PTR    (  (reg8 *) sel_High_Sync_ctrl_reg__CONTROL_REG )

#endif /* End CY_CONTROL_REG_sel_High_H */


/* [] END OF FILE */
