/*******************************************************************************
* File Name: sel_Low.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CONTROL_REG_sel_Low_H) /* CY_CONTROL_REG_sel_Low_H */
#define CY_CONTROL_REG_sel_Low_H

#include "cytypes.h"

    
/***************************************
*     Data Struct Definitions
***************************************/

/* Sleep Mode API Support */
typedef struct
{
    uint8 controlState;

} sel_Low_BACKUP_STRUCT;


/***************************************
*         Function Prototypes 
***************************************/

void    sel_Low_Write(uint8 control) ;
uint8   sel_Low_Read(void) ;

void sel_Low_SaveConfig(void) ;
void sel_Low_RestoreConfig(void) ;
void sel_Low_Sleep(void) ; 
void sel_Low_Wakeup(void) ;


/***************************************
*            Registers        
***************************************/

/* Control Register */
#define sel_Low_Control        (* (reg8 *) sel_Low_Sync_ctrl_reg__CONTROL_REG )
#define sel_Low_Control_PTR    (  (reg8 *) sel_Low_Sync_ctrl_reg__CONTROL_REG )

#endif /* End CY_CONTROL_REG_sel_Low_H */


/* [] END OF FILE */
