#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include "cydevice.h"
#include "cydevice_trm.h"

/* LCD_LCDPort */
#define LCD_LCDPort__0__MASK 0x01u
#define LCD_LCDPort__0__PC CYREG_PRT2_PC0
#define LCD_LCDPort__0__PORT 2u
#define LCD_LCDPort__0__SHIFT 0
#define LCD_LCDPort__1__MASK 0x02u
#define LCD_LCDPort__1__PC CYREG_PRT2_PC1
#define LCD_LCDPort__1__PORT 2u
#define LCD_LCDPort__1__SHIFT 1
#define LCD_LCDPort__2__MASK 0x04u
#define LCD_LCDPort__2__PC CYREG_PRT2_PC2
#define LCD_LCDPort__2__PORT 2u
#define LCD_LCDPort__2__SHIFT 2
#define LCD_LCDPort__3__MASK 0x08u
#define LCD_LCDPort__3__PC CYREG_PRT2_PC3
#define LCD_LCDPort__3__PORT 2u
#define LCD_LCDPort__3__SHIFT 3
#define LCD_LCDPort__4__MASK 0x10u
#define LCD_LCDPort__4__PC CYREG_PRT2_PC4
#define LCD_LCDPort__4__PORT 2u
#define LCD_LCDPort__4__SHIFT 4
#define LCD_LCDPort__5__MASK 0x20u
#define LCD_LCDPort__5__PC CYREG_PRT2_PC5
#define LCD_LCDPort__5__PORT 2u
#define LCD_LCDPort__5__SHIFT 5
#define LCD_LCDPort__6__MASK 0x40u
#define LCD_LCDPort__6__PC CYREG_PRT2_PC6
#define LCD_LCDPort__6__PORT 2u
#define LCD_LCDPort__6__SHIFT 6
#define LCD_LCDPort__AG CYREG_PRT2_AG
#define LCD_LCDPort__AMUX CYREG_PRT2_AMUX
#define LCD_LCDPort__BIE CYREG_PRT2_BIE
#define LCD_LCDPort__BIT_MASK CYREG_PRT2_BIT_MASK
#define LCD_LCDPort__BYP CYREG_PRT2_BYP
#define LCD_LCDPort__CTL CYREG_PRT2_CTL
#define LCD_LCDPort__DM0 CYREG_PRT2_DM0
#define LCD_LCDPort__DM1 CYREG_PRT2_DM1
#define LCD_LCDPort__DM2 CYREG_PRT2_DM2
#define LCD_LCDPort__DR CYREG_PRT2_DR
#define LCD_LCDPort__INP_DIS CYREG_PRT2_INP_DIS
#define LCD_LCDPort__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define LCD_LCDPort__LCD_EN CYREG_PRT2_LCD_EN
#define LCD_LCDPort__MASK 0x7Fu
#define LCD_LCDPort__PORT 2u
#define LCD_LCDPort__PRT CYREG_PRT2_PRT
#define LCD_LCDPort__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define LCD_LCDPort__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define LCD_LCDPort__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define LCD_LCDPort__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define LCD_LCDPort__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define LCD_LCDPort__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define LCD_LCDPort__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define LCD_LCDPort__PS CYREG_PRT2_PS
#define LCD_LCDPort__SHIFT 0
#define LCD_LCDPort__SLW CYREG_PRT2_SLW

/* LCD_sel1 */
#define LCD_sel1__0__MASK 0x02u
#define LCD_sel1__0__PC CYREG_PRT6_PC1
#define LCD_sel1__0__PORT 6u
#define LCD_sel1__0__SHIFT 1
#define LCD_sel1__AG CYREG_PRT6_AG
#define LCD_sel1__AMUX CYREG_PRT6_AMUX
#define LCD_sel1__BIE CYREG_PRT6_BIE
#define LCD_sel1__BIT_MASK CYREG_PRT6_BIT_MASK
#define LCD_sel1__BYP CYREG_PRT6_BYP
#define LCD_sel1__CTL CYREG_PRT6_CTL
#define LCD_sel1__DM0 CYREG_PRT6_DM0
#define LCD_sel1__DM1 CYREG_PRT6_DM1
#define LCD_sel1__DM2 CYREG_PRT6_DM2
#define LCD_sel1__DR CYREG_PRT6_DR
#define LCD_sel1__INP_DIS CYREG_PRT6_INP_DIS
#define LCD_sel1__INTSTAT CYREG_PICU6_INTSTAT
#define LCD_sel1__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define LCD_sel1__LCD_EN CYREG_PRT6_LCD_EN
#define LCD_sel1__MASK 0x02u
#define LCD_sel1__PORT 6u
#define LCD_sel1__PRT CYREG_PRT6_PRT
#define LCD_sel1__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define LCD_sel1__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define LCD_sel1__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define LCD_sel1__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define LCD_sel1__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define LCD_sel1__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define LCD_sel1__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define LCD_sel1__PS CYREG_PRT6_PS
#define LCD_sel1__SHIFT 1
#define LCD_sel1__SLW CYREG_PRT6_SLW
#define LCD_sel1__SNAP CYREG_PICU6_SNAP

/* LCD_sel2 */
#define LCD_sel2__0__MASK 0x20u
#define LCD_sel2__0__PC CYREG_IO_PC_PRT15_PC5
#define LCD_sel2__0__PORT 15u
#define LCD_sel2__0__SHIFT 5
#define LCD_sel2__AG CYREG_PRT15_AG
#define LCD_sel2__AMUX CYREG_PRT15_AMUX
#define LCD_sel2__BIE CYREG_PRT15_BIE
#define LCD_sel2__BIT_MASK CYREG_PRT15_BIT_MASK
#define LCD_sel2__BYP CYREG_PRT15_BYP
#define LCD_sel2__CTL CYREG_PRT15_CTL
#define LCD_sel2__DM0 CYREG_PRT15_DM0
#define LCD_sel2__DM1 CYREG_PRT15_DM1
#define LCD_sel2__DM2 CYREG_PRT15_DM2
#define LCD_sel2__DR CYREG_PRT15_DR
#define LCD_sel2__INP_DIS CYREG_PRT15_INP_DIS
#define LCD_sel2__INTSTAT CYREG_PICU15_INTSTAT
#define LCD_sel2__LCD_COM_SEG CYREG_PRT15_LCD_COM_SEG
#define LCD_sel2__LCD_EN CYREG_PRT15_LCD_EN
#define LCD_sel2__MASK 0x20u
#define LCD_sel2__PORT 15u
#define LCD_sel2__PRT CYREG_PRT15_PRT
#define LCD_sel2__PRTDSI__CAPS_SEL CYREG_PRT15_CAPS_SEL
#define LCD_sel2__PRTDSI__DBL_SYNC_IN CYREG_PRT15_DBL_SYNC_IN
#define LCD_sel2__PRTDSI__OE_SEL0 CYREG_PRT15_OE_SEL0
#define LCD_sel2__PRTDSI__OE_SEL1 CYREG_PRT15_OE_SEL1
#define LCD_sel2__PRTDSI__OUT_SEL0 CYREG_PRT15_OUT_SEL0
#define LCD_sel2__PRTDSI__OUT_SEL1 CYREG_PRT15_OUT_SEL1
#define LCD_sel2__PRTDSI__SYNC_OUT CYREG_PRT15_SYNC_OUT
#define LCD_sel2__PS CYREG_PRT15_PS
#define LCD_sel2__SHIFT 5
#define LCD_sel2__SLW CYREG_PRT15_SLW
#define LCD_sel2__SNAP CYREG_PICU_15_SNAP_15

/* LED */
#define LED__0__MASK 0x08u
#define LED__0__PC CYREG_PRT6_PC3
#define LED__0__PORT 6u
#define LED__0__SHIFT 3
#define LED__AG CYREG_PRT6_AG
#define LED__AMUX CYREG_PRT6_AMUX
#define LED__BIE CYREG_PRT6_BIE
#define LED__BIT_MASK CYREG_PRT6_BIT_MASK
#define LED__BYP CYREG_PRT6_BYP
#define LED__CTL CYREG_PRT6_CTL
#define LED__DM0 CYREG_PRT6_DM0
#define LED__DM1 CYREG_PRT6_DM1
#define LED__DM2 CYREG_PRT6_DM2
#define LED__DR CYREG_PRT6_DR
#define LED__INP_DIS CYREG_PRT6_INP_DIS
#define LED__LCD_COM_SEG CYREG_PRT6_LCD_COM_SEG
#define LED__LCD_EN CYREG_PRT6_LCD_EN
#define LED__MASK 0x08u
#define LED__PORT 6u
#define LED__PRT CYREG_PRT6_PRT
#define LED__PRTDSI__CAPS_SEL CYREG_PRT6_CAPS_SEL
#define LED__PRTDSI__DBL_SYNC_IN CYREG_PRT6_DBL_SYNC_IN
#define LED__PRTDSI__OE_SEL0 CYREG_PRT6_OE_SEL0
#define LED__PRTDSI__OE_SEL1 CYREG_PRT6_OE_SEL1
#define LED__PRTDSI__OUT_SEL0 CYREG_PRT6_OUT_SEL0
#define LED__PRTDSI__OUT_SEL1 CYREG_PRT6_OUT_SEL1
#define LED__PRTDSI__SYNC_OUT CYREG_PRT6_SYNC_OUT
#define LED__PS CYREG_PRT6_PS
#define LED__SHIFT 3
#define LED__SLW CYREG_PRT6_SLW

/* RTC_isr */
#define RTC_isr__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define RTC_isr__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define RTC_isr__INTC_MASK 0x01u
#define RTC_isr__INTC_NUMBER 0u
#define RTC_isr__INTC_PRIOR_NUM 0u
#define RTC_isr__INTC_PRIOR_REG CYREG_NVIC_PRI_0
#define RTC_isr__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define RTC_isr__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* clk */
#define clk__0__MASK 0x20u
#define clk__0__PC CYREG_PRT1_PC5
#define clk__0__PORT 1u
#define clk__0__SHIFT 5
#define clk__AG CYREG_PRT1_AG
#define clk__AMUX CYREG_PRT1_AMUX
#define clk__BIE CYREG_PRT1_BIE
#define clk__BIT_MASK CYREG_PRT1_BIT_MASK
#define clk__BYP CYREG_PRT1_BYP
#define clk__CTL CYREG_PRT1_CTL
#define clk__DM0 CYREG_PRT1_DM0
#define clk__DM1 CYREG_PRT1_DM1
#define clk__DM2 CYREG_PRT1_DM2
#define clk__DR CYREG_PRT1_DR
#define clk__INP_DIS CYREG_PRT1_INP_DIS
#define clk__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define clk__LCD_EN CYREG_PRT1_LCD_EN
#define clk__MASK 0x20u
#define clk__PORT 1u
#define clk__PRT CYREG_PRT1_PRT
#define clk__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define clk__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define clk__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define clk__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define clk__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define clk__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define clk__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define clk__PS CYREG_PRT1_PS
#define clk__SHIFT 5
#define clk__SLW CYREG_PRT1_SLW

/* clk_sel */
#define clk_sel__0__MASK 0x80u
#define clk_sel__0__PC CYREG_PRT1_PC7
#define clk_sel__0__PORT 1u
#define clk_sel__0__SHIFT 7
#define clk_sel__AG CYREG_PRT1_AG
#define clk_sel__AMUX CYREG_PRT1_AMUX
#define clk_sel__BIE CYREG_PRT1_BIE
#define clk_sel__BIT_MASK CYREG_PRT1_BIT_MASK
#define clk_sel__BYP CYREG_PRT1_BYP
#define clk_sel__CTL CYREG_PRT1_CTL
#define clk_sel__DM0 CYREG_PRT1_DM0
#define clk_sel__DM1 CYREG_PRT1_DM1
#define clk_sel__DM2 CYREG_PRT1_DM2
#define clk_sel__DR CYREG_PRT1_DR
#define clk_sel__INP_DIS CYREG_PRT1_INP_DIS
#define clk_sel__LCD_COM_SEG CYREG_PRT1_LCD_COM_SEG
#define clk_sel__LCD_EN CYREG_PRT1_LCD_EN
#define clk_sel__MASK 0x80u
#define clk_sel__PORT 1u
#define clk_sel__PRT CYREG_PRT1_PRT
#define clk_sel__PRTDSI__CAPS_SEL CYREG_PRT1_CAPS_SEL
#define clk_sel__PRTDSI__DBL_SYNC_IN CYREG_PRT1_DBL_SYNC_IN
#define clk_sel__PRTDSI__OE_SEL0 CYREG_PRT1_OE_SEL0
#define clk_sel__PRTDSI__OE_SEL1 CYREG_PRT1_OE_SEL1
#define clk_sel__PRTDSI__OUT_SEL0 CYREG_PRT1_OUT_SEL0
#define clk_sel__PRTDSI__OUT_SEL1 CYREG_PRT1_OUT_SEL1
#define clk_sel__PRTDSI__SYNC_OUT CYREG_PRT1_SYNC_OUT
#define clk_sel__PS CYREG_PRT1_PS
#define clk_sel__SHIFT 7
#define clk_sel__SLW CYREG_PRT1_SLW

/* OFFN */
#define OFFN__0__MASK 0x40u
#define OFFN__0__PC CYREG_PRT3_PC6
#define OFFN__0__PORT 3u
#define OFFN__0__SHIFT 6
#define OFFN__AG CYREG_PRT3_AG
#define OFFN__AMUX CYREG_PRT3_AMUX
#define OFFN__BIE CYREG_PRT3_BIE
#define OFFN__BIT_MASK CYREG_PRT3_BIT_MASK
#define OFFN__BYP CYREG_PRT3_BYP
#define OFFN__CTL CYREG_PRT3_CTL
#define OFFN__DM0 CYREG_PRT3_DM0
#define OFFN__DM1 CYREG_PRT3_DM1
#define OFFN__DM2 CYREG_PRT3_DM2
#define OFFN__DR CYREG_PRT3_DR
#define OFFN__INP_DIS CYREG_PRT3_INP_DIS
#define OFFN__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define OFFN__LCD_EN CYREG_PRT3_LCD_EN
#define OFFN__MASK 0x40u
#define OFFN__PORT 3u
#define OFFN__PRT CYREG_PRT3_PRT
#define OFFN__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define OFFN__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define OFFN__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define OFFN__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define OFFN__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define OFFN__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define OFFN__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define OFFN__PS CYREG_PRT3_PS
#define OFFN__SHIFT 6
#define OFFN__SLW CYREG_PRT3_SLW

/* OFFP */
#define OFFP__0__MASK 0x20u
#define OFFP__0__PC CYREG_PRT3_PC5
#define OFFP__0__PORT 3u
#define OFFP__0__SHIFT 5
#define OFFP__AG CYREG_PRT3_AG
#define OFFP__AMUX CYREG_PRT3_AMUX
#define OFFP__BIE CYREG_PRT3_BIE
#define OFFP__BIT_MASK CYREG_PRT3_BIT_MASK
#define OFFP__BYP CYREG_PRT3_BYP
#define OFFP__CTL CYREG_PRT3_CTL
#define OFFP__DM0 CYREG_PRT3_DM0
#define OFFP__DM1 CYREG_PRT3_DM1
#define OFFP__DM2 CYREG_PRT3_DM2
#define OFFP__DR CYREG_PRT3_DR
#define OFFP__INP_DIS CYREG_PRT3_INP_DIS
#define OFFP__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define OFFP__LCD_EN CYREG_PRT3_LCD_EN
#define OFFP__MASK 0x20u
#define OFFP__PORT 3u
#define OFFP__PRT CYREG_PRT3_PRT
#define OFFP__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define OFFP__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define OFFP__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define OFFP__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define OFFP__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define OFFP__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define OFFP__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define OFFP__PS CYREG_PRT3_PS
#define OFFP__SHIFT 5
#define OFFP__SLW CYREG_PRT3_SLW

/* VREF */
#define VREF__0__MASK 0x02u
#define VREF__0__PC CYREG_PRT3_PC1
#define VREF__0__PORT 3u
#define VREF__0__SHIFT 1
#define VREF__AG CYREG_PRT3_AG
#define VREF__AMUX CYREG_PRT3_AMUX
#define VREF__BIE CYREG_PRT3_BIE
#define VREF__BIT_MASK CYREG_PRT3_BIT_MASK
#define VREF__BYP CYREG_PRT3_BYP
#define VREF__CTL CYREG_PRT3_CTL
#define VREF__DM0 CYREG_PRT3_DM0
#define VREF__DM1 CYREG_PRT3_DM1
#define VREF__DM2 CYREG_PRT3_DM2
#define VREF__DR CYREG_PRT3_DR
#define VREF__INP_DIS CYREG_PRT3_INP_DIS
#define VREF__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define VREF__LCD_EN CYREG_PRT3_LCD_EN
#define VREF__MASK 0x02u
#define VREF__PORT 3u
#define VREF__PRT CYREG_PRT3_PRT
#define VREF__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define VREF__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define VREF__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define VREF__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define VREF__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define VREF__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define VREF__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define VREF__PS CYREG_PRT3_PS
#define VREF__SHIFT 1
#define VREF__SLW CYREG_PRT3_SLW

/* sel1 */
#define sel1__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define sel1__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define sel1__INTC_MASK 0x400u
#define sel1__INTC_NUMBER 10u
#define sel1__INTC_PRIOR_NUM 1u
#define sel1__INTC_PRIOR_REG CYREG_NVIC_PRI_10
#define sel1__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define sel1__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* sel2 */
#define sel2__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define sel2__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define sel2__INTC_MASK 0x1000u
#define sel2__INTC_NUMBER 12u
#define sel2__INTC_PRIOR_NUM 2u
#define sel2__INTC_PRIOR_REG CYREG_NVIC_PRI_12
#define sel2__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define sel2__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* selH */
#define selH__0__MASK 0x01u
#define selH__0__PC CYREG_PRT0_PC0
#define selH__0__PORT 0u
#define selH__0__SHIFT 0
#define selH__1__MASK 0x02u
#define selH__1__PC CYREG_PRT0_PC1
#define selH__1__PORT 0u
#define selH__1__SHIFT 1
#define selH__2__MASK 0x04u
#define selH__2__PC CYREG_PRT0_PC2
#define selH__2__PORT 0u
#define selH__2__SHIFT 2
#define selH__3__MASK 0x08u
#define selH__3__PC CYREG_PRT0_PC3
#define selH__3__PORT 0u
#define selH__3__SHIFT 3
#define selH__4__MASK 0x10u
#define selH__4__PC CYREG_PRT0_PC4
#define selH__4__PORT 0u
#define selH__4__SHIFT 4
#define selH__5__MASK 0x20u
#define selH__5__PC CYREG_PRT0_PC5
#define selH__5__PORT 0u
#define selH__5__SHIFT 5
#define selH__6__MASK 0x40u
#define selH__6__PC CYREG_PRT0_PC6
#define selH__6__PORT 0u
#define selH__6__SHIFT 6
#define selH__7__MASK 0x80u
#define selH__7__PC CYREG_PRT0_PC7
#define selH__7__PORT 0u
#define selH__7__SHIFT 7
#define selH__AG CYREG_PRT0_AG
#define selH__AMUX CYREG_PRT0_AMUX
#define selH__BIE CYREG_PRT0_BIE
#define selH__BIT_MASK CYREG_PRT0_BIT_MASK
#define selH__BYP CYREG_PRT0_BYP
#define selH__CTL CYREG_PRT0_CTL
#define selH__DM0 CYREG_PRT0_DM0
#define selH__DM1 CYREG_PRT0_DM1
#define selH__DM2 CYREG_PRT0_DM2
#define selH__DR CYREG_PRT0_DR
#define selH__INP_DIS CYREG_PRT0_INP_DIS
#define selH__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define selH__LCD_EN CYREG_PRT0_LCD_EN
#define selH__MASK 0xFFu
#define selH__PORT 0u
#define selH__PRT CYREG_PRT0_PRT
#define selH__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define selH__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define selH__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define selH__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define selH__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define selH__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define selH__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define selH__PS CYREG_PRT0_PS
#define selH__SHIFT 0
#define selH__SLW CYREG_PRT0_SLW

/* selL */
#define selL__0__MASK 0x01u
#define selL__0__PC CYREG_PRT4_PC0
#define selL__0__PORT 4u
#define selL__0__SHIFT 0
#define selL__1__MASK 0x02u
#define selL__1__PC CYREG_PRT4_PC1
#define selL__1__PORT 4u
#define selL__1__SHIFT 1
#define selL__2__MASK 0x04u
#define selL__2__PC CYREG_PRT4_PC2
#define selL__2__PORT 4u
#define selL__2__SHIFT 2
#define selL__3__MASK 0x08u
#define selL__3__PC CYREG_PRT4_PC3
#define selL__3__PORT 4u
#define selL__3__SHIFT 3
#define selL__4__MASK 0x10u
#define selL__4__PC CYREG_PRT4_PC4
#define selL__4__PORT 4u
#define selL__4__SHIFT 4
#define selL__5__MASK 0x20u
#define selL__5__PC CYREG_PRT4_PC5
#define selL__5__PORT 4u
#define selL__5__SHIFT 5
#define selL__6__MASK 0x40u
#define selL__6__PC CYREG_PRT4_PC6
#define selL__6__PORT 4u
#define selL__6__SHIFT 6
#define selL__7__MASK 0x80u
#define selL__7__PC CYREG_PRT4_PC7
#define selL__7__PORT 4u
#define selL__7__SHIFT 7
#define selL__AG CYREG_PRT4_AG
#define selL__AMUX CYREG_PRT4_AMUX
#define selL__BIE CYREG_PRT4_BIE
#define selL__BIT_MASK CYREG_PRT4_BIT_MASK
#define selL__BYP CYREG_PRT4_BYP
#define selL__CTL CYREG_PRT4_CTL
#define selL__DM0 CYREG_PRT4_DM0
#define selL__DM1 CYREG_PRT4_DM1
#define selL__DM2 CYREG_PRT4_DM2
#define selL__DR CYREG_PRT4_DR
#define selL__INP_DIS CYREG_PRT4_INP_DIS
#define selL__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define selL__LCD_EN CYREG_PRT4_LCD_EN
#define selL__MASK 0xFFu
#define selL__PORT 4u
#define selL__PRT CYREG_PRT4_PRT
#define selL__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define selL__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define selL__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define selL__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define selL__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define selL__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define selL__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define selL__PS CYREG_PRT4_PS
#define selL__SHIFT 0
#define selL__SLW CYREG_PRT4_SLW

/* VGATE */
#define VGATE__0__MASK 0x01u
#define VGATE__0__PC CYREG_PRT3_PC0
#define VGATE__0__PORT 3u
#define VGATE__0__SHIFT 0
#define VGATE__AG CYREG_PRT3_AG
#define VGATE__AMUX CYREG_PRT3_AMUX
#define VGATE__BIE CYREG_PRT3_BIE
#define VGATE__BIT_MASK CYREG_PRT3_BIT_MASK
#define VGATE__BYP CYREG_PRT3_BYP
#define VGATE__CTL CYREG_PRT3_CTL
#define VGATE__DM0 CYREG_PRT3_DM0
#define VGATE__DM1 CYREG_PRT3_DM1
#define VGATE__DM2 CYREG_PRT3_DM2
#define VGATE__DR CYREG_PRT3_DR
#define VGATE__INP_DIS CYREG_PRT3_INP_DIS
#define VGATE__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define VGATE__LCD_EN CYREG_PRT3_LCD_EN
#define VGATE__MASK 0x01u
#define VGATE__PORT 3u
#define VGATE__PRT CYREG_PRT3_PRT
#define VGATE__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define VGATE__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define VGATE__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define VGATE__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define VGATE__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define VGATE__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define VGATE__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define VGATE__PS CYREG_PRT3_PS
#define VGATE__SHIFT 0
#define VGATE__SLW CYREG_PRT3_SLW

/* check */
#define check__INTC_CLR_EN_REG CYREG_NVIC_CLRENA0
#define check__INTC_CLR_PD_REG CYREG_NVIC_CLRPEND0
#define check__INTC_MASK 0x02u
#define check__INTC_NUMBER 1u
#define check__INTC_PRIOR_NUM 3u
#define check__INTC_PRIOR_REG CYREG_NVIC_PRI_1
#define check__INTC_SET_EN_REG CYREG_NVIC_SETENA0
#define check__INTC_SET_PD_REG CYREG_NVIC_SETPEND0

/* OFFCTRL */
#define OFFCTRL__0__MASK 0x10u
#define OFFCTRL__0__PC CYREG_PRT3_PC4
#define OFFCTRL__0__PORT 3u
#define OFFCTRL__0__SHIFT 4
#define OFFCTRL__AG CYREG_PRT3_AG
#define OFFCTRL__AMUX CYREG_PRT3_AMUX
#define OFFCTRL__BIE CYREG_PRT3_BIE
#define OFFCTRL__BIT_MASK CYREG_PRT3_BIT_MASK
#define OFFCTRL__BYP CYREG_PRT3_BYP
#define OFFCTRL__CTL CYREG_PRT3_CTL
#define OFFCTRL__DM0 CYREG_PRT3_DM0
#define OFFCTRL__DM1 CYREG_PRT3_DM1
#define OFFCTRL__DM2 CYREG_PRT3_DM2
#define OFFCTRL__DR CYREG_PRT3_DR
#define OFFCTRL__INP_DIS CYREG_PRT3_INP_DIS
#define OFFCTRL__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define OFFCTRL__LCD_EN CYREG_PRT3_LCD_EN
#define OFFCTRL__MASK 0x10u
#define OFFCTRL__PORT 3u
#define OFFCTRL__PRT CYREG_PRT3_PRT
#define OFFCTRL__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define OFFCTRL__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define OFFCTRL__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define OFFCTRL__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define OFFCTRL__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define OFFCTRL__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define OFFCTRL__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define OFFCTRL__PS CYREG_PRT3_PS
#define OFFCTRL__SHIFT 4
#define OFFCTRL__SLW CYREG_PRT3_SLW

/* ext_clk */
#define ext_clk__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define ext_clk__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define ext_clk__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define ext_clk__CFG2_SRC_SEL_MASK 0x07u
#define ext_clk__INDEX 0x00u
#define ext_clk__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define ext_clk__PM_ACT_MSK 0x01u
#define ext_clk__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define ext_clk__PM_STBY_MSK 0x01u

/* result_0 */
#define result_0__0__MASK 0x01u
#define result_0__0__PC CYREG_PRT5_PC0
#define result_0__0__PORT 5u
#define result_0__0__SHIFT 0
#define result_0__AG CYREG_PRT5_AG
#define result_0__AMUX CYREG_PRT5_AMUX
#define result_0__BIE CYREG_PRT5_BIE
#define result_0__BIT_MASK CYREG_PRT5_BIT_MASK
#define result_0__BYP CYREG_PRT5_BYP
#define result_0__CTL CYREG_PRT5_CTL
#define result_0__DM0 CYREG_PRT5_DM0
#define result_0__DM1 CYREG_PRT5_DM1
#define result_0__DM2 CYREG_PRT5_DM2
#define result_0__DR CYREG_PRT5_DR
#define result_0__INP_DIS CYREG_PRT5_INP_DIS
#define result_0__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define result_0__LCD_EN CYREG_PRT5_LCD_EN
#define result_0__MASK 0x01u
#define result_0__PORT 5u
#define result_0__PRT CYREG_PRT5_PRT
#define result_0__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define result_0__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define result_0__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define result_0__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define result_0__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define result_0__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define result_0__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define result_0__PS CYREG_PRT5_PS
#define result_0__SHIFT 0
#define result_0__SLW CYREG_PRT5_SLW

/* result_1 */
#define result_1__0__MASK 0x02u
#define result_1__0__PC CYREG_PRT5_PC1
#define result_1__0__PORT 5u
#define result_1__0__SHIFT 1
#define result_1__AG CYREG_PRT5_AG
#define result_1__AMUX CYREG_PRT5_AMUX
#define result_1__BIE CYREG_PRT5_BIE
#define result_1__BIT_MASK CYREG_PRT5_BIT_MASK
#define result_1__BYP CYREG_PRT5_BYP
#define result_1__CTL CYREG_PRT5_CTL
#define result_1__DM0 CYREG_PRT5_DM0
#define result_1__DM1 CYREG_PRT5_DM1
#define result_1__DM2 CYREG_PRT5_DM2
#define result_1__DR CYREG_PRT5_DR
#define result_1__INP_DIS CYREG_PRT5_INP_DIS
#define result_1__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define result_1__LCD_EN CYREG_PRT5_LCD_EN
#define result_1__MASK 0x02u
#define result_1__PORT 5u
#define result_1__PRT CYREG_PRT5_PRT
#define result_1__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define result_1__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define result_1__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define result_1__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define result_1__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define result_1__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define result_1__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define result_1__PS CYREG_PRT5_PS
#define result_1__SHIFT 1
#define result_1__SLW CYREG_PRT5_SLW

/* result_2 */
#define result_2__0__MASK 0x04u
#define result_2__0__PC CYREG_PRT5_PC2
#define result_2__0__PORT 5u
#define result_2__0__SHIFT 2
#define result_2__AG CYREG_PRT5_AG
#define result_2__AMUX CYREG_PRT5_AMUX
#define result_2__BIE CYREG_PRT5_BIE
#define result_2__BIT_MASK CYREG_PRT5_BIT_MASK
#define result_2__BYP CYREG_PRT5_BYP
#define result_2__CTL CYREG_PRT5_CTL
#define result_2__DM0 CYREG_PRT5_DM0
#define result_2__DM1 CYREG_PRT5_DM1
#define result_2__DM2 CYREG_PRT5_DM2
#define result_2__DR CYREG_PRT5_DR
#define result_2__INP_DIS CYREG_PRT5_INP_DIS
#define result_2__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define result_2__LCD_EN CYREG_PRT5_LCD_EN
#define result_2__MASK 0x04u
#define result_2__PORT 5u
#define result_2__PRT CYREG_PRT5_PRT
#define result_2__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define result_2__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define result_2__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define result_2__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define result_2__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define result_2__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define result_2__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define result_2__PS CYREG_PRT5_PS
#define result_2__SHIFT 2
#define result_2__SLW CYREG_PRT5_SLW

/* result_3 */
#define result_3__0__MASK 0x08u
#define result_3__0__PC CYREG_PRT5_PC3
#define result_3__0__PORT 5u
#define result_3__0__SHIFT 3
#define result_3__AG CYREG_PRT5_AG
#define result_3__AMUX CYREG_PRT5_AMUX
#define result_3__BIE CYREG_PRT5_BIE
#define result_3__BIT_MASK CYREG_PRT5_BIT_MASK
#define result_3__BYP CYREG_PRT5_BYP
#define result_3__CTL CYREG_PRT5_CTL
#define result_3__DM0 CYREG_PRT5_DM0
#define result_3__DM1 CYREG_PRT5_DM1
#define result_3__DM2 CYREG_PRT5_DM2
#define result_3__DR CYREG_PRT5_DR
#define result_3__INP_DIS CYREG_PRT5_INP_DIS
#define result_3__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define result_3__LCD_EN CYREG_PRT5_LCD_EN
#define result_3__MASK 0x08u
#define result_3__PORT 5u
#define result_3__PRT CYREG_PRT5_PRT
#define result_3__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define result_3__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define result_3__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define result_3__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define result_3__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define result_3__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define result_3__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define result_3__PS CYREG_PRT5_PS
#define result_3__SHIFT 3
#define result_3__SLW CYREG_PRT5_SLW

/* result_4 */
#define result_4__0__MASK 0x10u
#define result_4__0__PC CYREG_PRT5_PC4
#define result_4__0__PORT 5u
#define result_4__0__SHIFT 4
#define result_4__AG CYREG_PRT5_AG
#define result_4__AMUX CYREG_PRT5_AMUX
#define result_4__BIE CYREG_PRT5_BIE
#define result_4__BIT_MASK CYREG_PRT5_BIT_MASK
#define result_4__BYP CYREG_PRT5_BYP
#define result_4__CTL CYREG_PRT5_CTL
#define result_4__DM0 CYREG_PRT5_DM0
#define result_4__DM1 CYREG_PRT5_DM1
#define result_4__DM2 CYREG_PRT5_DM2
#define result_4__DR CYREG_PRT5_DR
#define result_4__INP_DIS CYREG_PRT5_INP_DIS
#define result_4__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define result_4__LCD_EN CYREG_PRT5_LCD_EN
#define result_4__MASK 0x10u
#define result_4__PORT 5u
#define result_4__PRT CYREG_PRT5_PRT
#define result_4__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define result_4__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define result_4__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define result_4__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define result_4__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define result_4__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define result_4__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define result_4__PS CYREG_PRT5_PS
#define result_4__SHIFT 4
#define result_4__SLW CYREG_PRT5_SLW

/* result_5 */
#define result_5__0__MASK 0x20u
#define result_5__0__PC CYREG_PRT5_PC5
#define result_5__0__PORT 5u
#define result_5__0__SHIFT 5
#define result_5__AG CYREG_PRT5_AG
#define result_5__AMUX CYREG_PRT5_AMUX
#define result_5__BIE CYREG_PRT5_BIE
#define result_5__BIT_MASK CYREG_PRT5_BIT_MASK
#define result_5__BYP CYREG_PRT5_BYP
#define result_5__CTL CYREG_PRT5_CTL
#define result_5__DM0 CYREG_PRT5_DM0
#define result_5__DM1 CYREG_PRT5_DM1
#define result_5__DM2 CYREG_PRT5_DM2
#define result_5__DR CYREG_PRT5_DR
#define result_5__INP_DIS CYREG_PRT5_INP_DIS
#define result_5__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define result_5__LCD_EN CYREG_PRT5_LCD_EN
#define result_5__MASK 0x20u
#define result_5__PORT 5u
#define result_5__PRT CYREG_PRT5_PRT
#define result_5__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define result_5__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define result_5__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define result_5__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define result_5__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define result_5__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define result_5__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define result_5__PS CYREG_PRT5_PS
#define result_5__SHIFT 5
#define result_5__SLW CYREG_PRT5_SLW

/* result_6 */
#define result_6__0__MASK 0x40u
#define result_6__0__PC CYREG_PRT5_PC6
#define result_6__0__PORT 5u
#define result_6__0__SHIFT 6
#define result_6__AG CYREG_PRT5_AG
#define result_6__AMUX CYREG_PRT5_AMUX
#define result_6__BIE CYREG_PRT5_BIE
#define result_6__BIT_MASK CYREG_PRT5_BIT_MASK
#define result_6__BYP CYREG_PRT5_BYP
#define result_6__CTL CYREG_PRT5_CTL
#define result_6__DM0 CYREG_PRT5_DM0
#define result_6__DM1 CYREG_PRT5_DM1
#define result_6__DM2 CYREG_PRT5_DM2
#define result_6__DR CYREG_PRT5_DR
#define result_6__INP_DIS CYREG_PRT5_INP_DIS
#define result_6__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define result_6__LCD_EN CYREG_PRT5_LCD_EN
#define result_6__MASK 0x40u
#define result_6__PORT 5u
#define result_6__PRT CYREG_PRT5_PRT
#define result_6__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define result_6__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define result_6__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define result_6__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define result_6__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define result_6__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define result_6__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define result_6__PS CYREG_PRT5_PS
#define result_6__SHIFT 6
#define result_6__SLW CYREG_PRT5_SLW

/* result_7 */
#define result_7__0__MASK 0x80u
#define result_7__0__PC CYREG_PRT5_PC7
#define result_7__0__PORT 5u
#define result_7__0__SHIFT 7
#define result_7__AG CYREG_PRT5_AG
#define result_7__AMUX CYREG_PRT5_AMUX
#define result_7__BIE CYREG_PRT5_BIE
#define result_7__BIT_MASK CYREG_PRT5_BIT_MASK
#define result_7__BYP CYREG_PRT5_BYP
#define result_7__CTL CYREG_PRT5_CTL
#define result_7__DM0 CYREG_PRT5_DM0
#define result_7__DM1 CYREG_PRT5_DM1
#define result_7__DM2 CYREG_PRT5_DM2
#define result_7__DR CYREG_PRT5_DR
#define result_7__INP_DIS CYREG_PRT5_INP_DIS
#define result_7__LCD_COM_SEG CYREG_PRT5_LCD_COM_SEG
#define result_7__LCD_EN CYREG_PRT5_LCD_EN
#define result_7__MASK 0x80u
#define result_7__PORT 5u
#define result_7__PRT CYREG_PRT5_PRT
#define result_7__PRTDSI__CAPS_SEL CYREG_PRT5_CAPS_SEL
#define result_7__PRTDSI__DBL_SYNC_IN CYREG_PRT5_DBL_SYNC_IN
#define result_7__PRTDSI__OE_SEL0 CYREG_PRT5_OE_SEL0
#define result_7__PRTDSI__OE_SEL1 CYREG_PRT5_OE_SEL1
#define result_7__PRTDSI__OUT_SEL0 CYREG_PRT5_OUT_SEL0
#define result_7__PRTDSI__OUT_SEL1 CYREG_PRT5_OUT_SEL1
#define result_7__PRTDSI__SYNC_OUT CYREG_PRT5_SYNC_OUT
#define result_7__PS CYREG_PRT5_PS
#define result_7__SHIFT 7
#define result_7__SLW CYREG_PRT5_SLW

/* VDAC_VREF_viDAC8 */
#define VDAC_VREF_viDAC8__CR0 CYREG_DAC0_CR0
#define VDAC_VREF_viDAC8__CR1 CYREG_DAC0_CR1
#define VDAC_VREF_viDAC8__D CYREG_DAC0_D
#define VDAC_VREF_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC_VREF_viDAC8__PM_ACT_MSK 0x01u
#define VDAC_VREF_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC_VREF_viDAC8__PM_STBY_MSK 0x01u
#define VDAC_VREF_viDAC8__STROBE CYREG_DAC0_STROBE
#define VDAC_VREF_viDAC8__SW0 CYREG_DAC0_SW0
#define VDAC_VREF_viDAC8__SW2 CYREG_DAC0_SW2
#define VDAC_VREF_viDAC8__SW3 CYREG_DAC0_SW3
#define VDAC_VREF_viDAC8__SW4 CYREG_DAC0_SW4
#define VDAC_VREF_viDAC8__TR CYREG_DAC0_TR
#define VDAC_VREF_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC0_M1
#define VDAC_VREF_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC0_M2
#define VDAC_VREF_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC0_M3
#define VDAC_VREF_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC0_M4
#define VDAC_VREF_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC0_M5
#define VDAC_VREF_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC0_M6
#define VDAC_VREF_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC0_M7
#define VDAC_VREF_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC0_M8
#define VDAC_VREF_viDAC8__TST CYREG_DAC0_TST

/* VDAC_OFFPN_viDAC8 */
#define VDAC_OFFPN_viDAC8__CR0 CYREG_DAC2_CR0
#define VDAC_OFFPN_viDAC8__CR1 CYREG_DAC2_CR1
#define VDAC_OFFPN_viDAC8__D CYREG_DAC2_D
#define VDAC_OFFPN_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC_OFFPN_viDAC8__PM_ACT_MSK 0x04u
#define VDAC_OFFPN_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC_OFFPN_viDAC8__PM_STBY_MSK 0x04u
#define VDAC_OFFPN_viDAC8__STROBE CYREG_DAC2_STROBE
#define VDAC_OFFPN_viDAC8__SW0 CYREG_DAC2_SW0
#define VDAC_OFFPN_viDAC8__SW2 CYREG_DAC2_SW2
#define VDAC_OFFPN_viDAC8__SW3 CYREG_DAC2_SW3
#define VDAC_OFFPN_viDAC8__SW4 CYREG_DAC2_SW4
#define VDAC_OFFPN_viDAC8__TR CYREG_DAC2_TR
#define VDAC_OFFPN_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC2_M1
#define VDAC_OFFPN_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC2_M2
#define VDAC_OFFPN_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC2_M3
#define VDAC_OFFPN_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC2_M4
#define VDAC_OFFPN_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC2_M5
#define VDAC_OFFPN_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC2_M6
#define VDAC_OFFPN_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC2_M7
#define VDAC_OFFPN_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC2_M8
#define VDAC_OFFPN_viDAC8__TST CYREG_DAC2_TST

/* VDAC_VGATE_viDAC8 */
#define VDAC_VGATE_viDAC8__CR0 CYREG_DAC3_CR0
#define VDAC_VGATE_viDAC8__CR1 CYREG_DAC3_CR1
#define VDAC_VGATE_viDAC8__D CYREG_DAC3_D
#define VDAC_VGATE_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC_VGATE_viDAC8__PM_ACT_MSK 0x08u
#define VDAC_VGATE_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC_VGATE_viDAC8__PM_STBY_MSK 0x08u
#define VDAC_VGATE_viDAC8__STROBE CYREG_DAC3_STROBE
#define VDAC_VGATE_viDAC8__SW0 CYREG_DAC3_SW0
#define VDAC_VGATE_viDAC8__SW2 CYREG_DAC3_SW2
#define VDAC_VGATE_viDAC8__SW3 CYREG_DAC3_SW3
#define VDAC_VGATE_viDAC8__SW4 CYREG_DAC3_SW4
#define VDAC_VGATE_viDAC8__TR CYREG_DAC3_TR
#define VDAC_VGATE_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC3_M1
#define VDAC_VGATE_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC3_M2
#define VDAC_VGATE_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC3_M3
#define VDAC_VGATE_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC3_M4
#define VDAC_VGATE_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC3_M5
#define VDAC_VGATE_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC3_M6
#define VDAC_VGATE_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC3_M7
#define VDAC_VGATE_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC3_M8
#define VDAC_VGATE_viDAC8__TST CYREG_DAC3_TST

/* resultADDR */
#define resultADDR__0__MASK 0x01u
#define resultADDR__0__PC CYREG_PRT12_PC0
#define resultADDR__0__PORT 12u
#define resultADDR__0__SHIFT 0
#define resultADDR__1__MASK 0x02u
#define resultADDR__1__PC CYREG_PRT12_PC1
#define resultADDR__1__PORT 12u
#define resultADDR__1__SHIFT 1
#define resultADDR__2__MASK 0x04u
#define resultADDR__2__PC CYREG_PRT12_PC2
#define resultADDR__2__PORT 12u
#define resultADDR__2__SHIFT 2
#define resultADDR__3__MASK 0x08u
#define resultADDR__3__PC CYREG_PRT12_PC3
#define resultADDR__3__PORT 12u
#define resultADDR__3__SHIFT 3
#define resultADDR__AG CYREG_PRT12_AG
#define resultADDR__BIE CYREG_PRT12_BIE
#define resultADDR__BIT_MASK CYREG_PRT12_BIT_MASK
#define resultADDR__BYP CYREG_PRT12_BYP
#define resultADDR__DM0 CYREG_PRT12_DM0
#define resultADDR__DM1 CYREG_PRT12_DM1
#define resultADDR__DM2 CYREG_PRT12_DM2
#define resultADDR__DR CYREG_PRT12_DR
#define resultADDR__INP_DIS CYREG_PRT12_INP_DIS
#define resultADDR__MASK 0x0Fu
#define resultADDR__PORT 12u
#define resultADDR__PRT CYREG_PRT12_PRT
#define resultADDR__PRTDSI__DBL_SYNC_IN CYREG_PRT12_DBL_SYNC_IN
#define resultADDR__PRTDSI__OE_SEL0 CYREG_PRT12_OE_SEL0
#define resultADDR__PRTDSI__OE_SEL1 CYREG_PRT12_OE_SEL1
#define resultADDR__PRTDSI__OUT_SEL0 CYREG_PRT12_OUT_SEL0
#define resultADDR__PRTDSI__OUT_SEL1 CYREG_PRT12_OUT_SEL1
#define resultADDR__PRTDSI__SYNC_OUT CYREG_PRT12_SYNC_OUT
#define resultADDR__PS CYREG_PRT12_PS
#define resultADDR__SHIFT 0
#define resultADDR__SIO_CFG CYREG_PRT12_SIO_CFG
#define resultADDR__SIO_DIFF CYREG_PRT12_SIO_DIFF
#define resultADDR__SIO_HYST_EN CYREG_PRT12_SIO_HYST_EN
#define resultADDR__SIO_REG_HIFREQ CYREG_PRT12_SIO_REG_HIFREQ
#define resultADDR__SLW CYREG_PRT12_SLW

/* VDAC_OFFCTRL_viDAC8 */
#define VDAC_OFFCTRL_viDAC8__CR0 CYREG_DAC1_CR0
#define VDAC_OFFCTRL_viDAC8__CR1 CYREG_DAC1_CR1
#define VDAC_OFFCTRL_viDAC8__D CYREG_DAC1_D
#define VDAC_OFFCTRL_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC_OFFCTRL_viDAC8__PM_ACT_MSK 0x02u
#define VDAC_OFFCTRL_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC_OFFCTRL_viDAC8__PM_STBY_MSK 0x02u
#define VDAC_OFFCTRL_viDAC8__STROBE CYREG_DAC1_STROBE
#define VDAC_OFFCTRL_viDAC8__SW0 CYREG_DAC1_SW0
#define VDAC_OFFCTRL_viDAC8__SW2 CYREG_DAC1_SW2
#define VDAC_OFFCTRL_viDAC8__SW3 CYREG_DAC1_SW3
#define VDAC_OFFCTRL_viDAC8__SW4 CYREG_DAC1_SW4
#define VDAC_OFFCTRL_viDAC8__TR CYREG_DAC1_TR
#define VDAC_OFFCTRL_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC1_M1
#define VDAC_OFFCTRL_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC1_M2
#define VDAC_OFFCTRL_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC1_M3
#define VDAC_OFFCTRL_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC1_M4
#define VDAC_OFFCTRL_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC1_M5
#define VDAC_OFFCTRL_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC1_M6
#define VDAC_OFFCTRL_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC1_M7
#define VDAC_OFFCTRL_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC1_M8
#define VDAC_OFFCTRL_viDAC8__TST CYREG_DAC1_TST

/* Miscellaneous */
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CY_PROJECT_NAME "Circulus"
#define CY_VERSION "PSoC Creator  3.2"
#define CYDEV_CHIP_DIE_GEN4 2u
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 12u
#define CYDEV_CHIP_DIE_PSOC4A 5u
#define CYDEV_CHIP_DIE_PSOC5LP 11u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x2E123069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 5u
#define CYDEV_CHIP_MEMBER_4C 9u
#define CYDEV_CHIP_MEMBER_4D 3u
#define CYDEV_CHIP_MEMBER_4E 4u
#define CYDEV_CHIP_MEMBER_4F 6u
#define CYDEV_CHIP_MEMBER_4G 2u
#define CYDEV_CHIP_MEMBER_4L 8u
#define CYDEV_CHIP_MEMBER_4M 7u
#define CYDEV_CHIP_MEMBER_5A 11u
#define CYDEV_CHIP_MEMBER_5B 10u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5B
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_MEMBER_USED
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_REV_GEN4_ES 17u
#define CYDEV_CHIP_REV_GEN4_ES2 33u
#define CYDEV_CHIP_REV_GEN4_PRODUCTION 17u
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4C_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4D_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4E_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4F_PRODUCTION_256K 0u
#define CYDEV_CHIP_REVISION_4G_ES 17u
#define CYDEV_CHIP_REVISION_4G_ES2 33u
#define CYDEV_CHIP_REVISION_4G_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4L_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_4M_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5B_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REVISION_USED
#define CYDEV_CONFIG_FASTBOOT_ENABLED 1
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x20u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DEBUG
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_DPS_JTAG_4 1
#define CYDEV_DEBUGGING_DPS_JTAG_5 0
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x80
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000002u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LAUNCHER 5
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_LOADABLEANDBOOTLOADER 4
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x0800
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 3.3
#define CYDEV_VDDA_MV 3300
#define CYDEV_VDDD 3.3
#define CYDEV_VDDD_MV 3300
#define CYDEV_VDDIO0 3.3
#define CYDEV_VDDIO0_MV 3300
#define CYDEV_VDDIO1 3.3
#define CYDEV_VDDIO1_MV 3300
#define CYDEV_VDDIO2 3.3
#define CYDEV_VDDIO2_MV 3300
#define CYDEV_VDDIO3 3.3
#define CYDEV_VDDIO3_MV 3300
#define CYDEV_VIO0 3.3
#define CYDEV_VIO0_MV 3300
#define CYDEV_VIO1 3.3
#define CYDEV_VIO1_MV 3300
#define CYDEV_VIO2 3.3
#define CYDEV_VIO2_MV 3300
#define CYDEV_VIO3 3.3
#define CYDEV_VIO3_MV 3300
#define CYIPBLOCK_ARM_CM3_VERSION 0
#define CYIPBLOCK_P3_ANAIF_VERSION 0
#define CYIPBLOCK_P3_CAN_VERSION 0
#define CYIPBLOCK_P3_CAPSENSE_VERSION 0
#define CYIPBLOCK_P3_COMP_VERSION 0
#define CYIPBLOCK_P3_DECIMATOR_VERSION 0
#define CYIPBLOCK_P3_DFB_VERSION 0
#define CYIPBLOCK_P3_DMA_VERSION 0
#define CYIPBLOCK_P3_DRQ_VERSION 0
#define CYIPBLOCK_P3_DSM_VERSION 0
#define CYIPBLOCK_P3_EMIF_VERSION 0
#define CYIPBLOCK_P3_I2C_VERSION 0
#define CYIPBLOCK_P3_LCD_VERSION 0
#define CYIPBLOCK_P3_LPF_VERSION 0
#define CYIPBLOCK_P3_OPAMP_VERSION 0
#define CYIPBLOCK_P3_PM_VERSION 0
#define CYIPBLOCK_P3_SCCT_VERSION 0
#define CYIPBLOCK_P3_TIMER_VERSION 0
#define CYIPBLOCK_P3_USB_VERSION 0
#define CYIPBLOCK_P3_VIDAC_VERSION 0
#define CYIPBLOCK_P3_VREF_VERSION 0
#define CYIPBLOCK_S8_GPIO_VERSION 0
#define CYIPBLOCK_S8_IRQ_VERSION 0
#define CYIPBLOCK_S8_SAR_VERSION 0
#define CYIPBLOCK_S8_SIO_VERSION 0
#define CYIPBLOCK_S8_UDB_VERSION 0
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
